## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate exa

Name:           rust-exa
Version:        0.10.1
Release:        %autorelease
Summary:        Modern replacement for ls

License:        MIT
URL:            https://crates.io/crates/exa
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove feature for statically linking against a vendored copy of OpenSSL
Patch:          exa-fix-metadata.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
A modern replacement for ls.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# MIT
# MIT AND GPL-2.0-only WITH GCC-exception-2.0 AND BSD-3-Clause
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        MIT AND GPL-2.0-only WITH GCC-exception-2.0 AND BSD-3-Clause AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENCE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/exa
%{bash_completions_dir}/exa.bash
%{fish_completions_dir}/exa.fish
%{zsh_completions_dir}/_exa

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install shell completions
install -Dpm0644 -T completions/completions.bash \
  %{buildroot}/%{bash_completions_dir}/exa.bash
install -Dpm0644 -T completions/completions.fish \
  %{buildroot}/%{fish_completions_dir}/exa.fish
install -Dpm0644 -T completions/completions.zsh \
  %{buildroot}/%{zsh_completions_dir}/_exa

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.1-11
- Regenerate with rust2rpm v24 and update license tag

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.1-9
- Rebuild for CVE-2022-24765 and CVE-2022-29187 in libgit2.

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 09 2022 Pete Walter <pwalter@fedoraproject.org> - 0.10.1-7
- Rebuild for libgit2 1.4

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.1-5
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.10.1-3
- Rebuild for libgit2 1.3.x

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Fabio Valentini <decathorpe@gmail.com> - 0.10.1-1
- Update to version 0.10.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 14:21:55 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.0-14
- Rebuild against libgit2 1.1.x

* Sun Aug 16 15:01:23 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.0-13
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 22 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.0-11
- Update users to 0.10

* Sun May 17 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.0-10
- Update zoneinfo_compiled/datetime to 0.5

* Wed Apr 15 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.0-9
- Rebuild for libgit2 1.0.0

* Thu Mar 19 11:33:52 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.0-8
- Update git2 to 0.13

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.9.0-7
- Bump to git2 0.12

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 25 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-5
- Update git2 to 0.11

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 0.9.0-4
- Update git2 and env_logger deps

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 21 18:29:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-2
- Correct fish completions directory

* Mon Jul 15 08:23:01 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Sun Jul 14 19:34:42 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-17
- Regenerate

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.8.0-16
- Bump git2 to 0.9

* Tue May 07 14:00:28 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-15
- Update glob to 0.3, number_prefix to 0.3

* Thu Apr 25 17:20:22 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-214
- Rebuilt for rust-users 0.9.1

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-13
- Update git2 and env_logger deps

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-11
- Adapt to new packaging

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.8.0-10
- Rebuild with fixed rust-libgit2-sys-0.7.7

* Fri Aug 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-9
- Rebuild for libgit2 0.27.x

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 25 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-7
- Bump users to 0.7

* Mon Mar 26 2018 Josh Stone <jistone@redhat.com> - 0.8.0-6
- Bump ansi_term to 0.11

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-5
- Bump git2 to 0.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-3
- Rebuild for rust-packaging v5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-2
- Bump lazy_static to 1

* Tue Nov 21 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Initial package

